## org.apache.batik.swing.svg
Class SVGDocumentLoader

    java.lang.Object
      java.lang.Thread
          org.apache.batik.util.HaltingThread
              org.apache.batik.swing.svg.SVGDocumentLoader

All Implemented Interfaces:
  java.lang.Runnable

    public class SVGDocumentLoader

extends HaltingThread

This class represents an object which loads asynchroneaously a SVG document.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected java.lang.Exception` `exception` The exception thrown.
`protected java.util.List` `listeners` The listeners.
`protected DocumentLoader` `loader` The document loader.
`protected java.lang.String` `url` The URL of the document,

Fields inherited from class org.apache.batik.util.HaltingThread
`beenHalted`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SVGDocumentLoader(java.lang.String u, DocumentLoader l)` Creates a new SVGDocumentLoader.

Method Summary
`void` `addSVGDocumentLoaderListener(SVGDocumentLoaderListener l)` Adds a SVGDocumentLoaderListener to this SVGDocumentLoader.
`void` `fireEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object event)`
`java.lang.Exception` `getException()` Returns the exception, if any occured.
`void` `removeSVGDocumentLoaderListener(SVGDocumentLoaderListener l)` Removes a SVGDocumentLoaderListener from this SVGDocumentLoader.
`void` `run()` Runs this loader.

Methods inherited from class org.apache.batik.util.HaltingThread
`clearHalted, halt, haltThread, haltThread, hasBeenHalted, hasBeenHalted, isHalted`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    protected java.lang.String url

  The URL of the document,

### loader

    protected DocumentLoader loader

  The document loader.

### exception

    protected java.lang.Exception exception

  The exception thrown.

### listeners

    protected java.util.List listeners

  The listeners.

Constructor Detail

### SVGDocumentLoader

    public SVGDocumentLoader(java.lang.String u,
                             DocumentLoader l)

  Creates a new SVGDocumentLoader.

  Parameters:
    `u` - The URL of the document.
    `l` - The document loader to use

Method Detail

### run

    public void run()

  Runs this loader.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### getException

    public java.lang.Exception getException()

  Returns the exception, if any occured.

### addSVGDocumentLoaderListener

    public void addSVGDocumentLoaderListener(SVGDocumentLoaderListener l)

  Adds a SVGDocumentLoaderListener to this SVGDocumentLoader.

### removeSVGDocumentLoaderListener

    public void removeSVGDocumentLoaderListener(SVGDocumentLoaderListener l)

  Removes a SVGDocumentLoaderListener from this SVGDocumentLoader.

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          java.lang.Object event)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.